package com.red.circle.other.infra.database.cache.service.user;

/**
 * 统计运营活跃指标(用户活跃).
 *
 * @author pengliang on 2022/3/29
 */
public interface CountUserActiveIndexService {

  /**
   * 用户活跃用户-主播.
   */
  void countAnchorActiveUser(String sysOrigin, Long account);

  /**
   * 用户活跃用户-主播(全部).
   */
  void countAnchorActiveUser(Long account);

  /**
   * 获取指定一天活跃-主播.
   */
  Long getActiveAnchorCount(String sysOrigin, String date);

  /**
   * 获取指定一天活跃-主播(全部).
   */
  Long getActiveAnchorCount(String date);

  /**
   * 用户活跃用户-普通用户.
   */
  void countOrdinaryActiveUser(String sysOrigin, Long account);

  /**
   * 用户活跃用户-普通用户(全部).
   */
  void countOrdinaryActiveUser(Long account);

  /**
   * 获取指定一天活跃-普通用户.
   */
  Long getActiveOrdinaryCount(String sysOrigin, String date);

  /**
   * 获取指定一天活跃-普通用户(全部).
   */
  Long getActiveOrdinaryCount(String date);

}
